qt_internal_add_test(tst_protobuf_json_serialization_basictypes
    SOURCES
        serializationbasictypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_serialization_basictypes
    tst_protobuf_basictypes_gen
    tst_protobuf_fieldindexrange_gen
)

qt_internal_add_test(tst_protobuf_json_serialization_repeatedtypes
    SOURCES
        serializationrepeatedtypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_serialization_repeatedtypes
    tst_protobuf_basictypes_gen
    tst_protobuf_repeatedtypes_gen
)
qt_internal_add_test(tst_protobuf_json_serialization_maptypes
    SOURCES
        serializationmaptypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_serialization_maptypes
    tst_protobuf_basictypes_gen
    tst_protobuf_maptypes_gen
)

qt_internal_add_test(tst_protobuf_json_deserialization_basictypes
    SOURCES
        deserializationbasictypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_deserialization_basictypes
    tst_protobuf_basictypes_gen
)

qt_internal_add_test(tst_protobuf_json_deserialization_repeatedtypes
    SOURCES
        deserializationrepeatedtypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_deserialization_repeatedtypes
    tst_protobuf_basictypes_gen
    tst_protobuf_repeatedtypes_gen
)
qt_internal_add_test(tst_protobuf_json_deserialization_maptypes
    SOURCES
        deserializationmaptypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

_qt_internal_link_protobuf_objects(tst_protobuf_json_deserialization_maptypes
    tst_protobuf_basictypes_gen
    tst_protobuf_maptypes_gen
)
